primary key/autoincrement not imported in sqlite
Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Offline editing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15372

Description

When a postgis table with a primary key + autoincrement field is imported in sqlite with the offline plugin, the schema is a little bit different:

                                         Table « public.XXXX

    Column     |       Type       |                                    Modificateurs

----------------+------------------+------------------------------------------------------------------------------------------                                                      

                                                    

 ogc_fid        | integer          | not NULL by default, nextval('public.XXXX_ogc_fid_seq'::regclass)

 geom           | geometry         |                                                                                                               

 identifiant    | character(16)    |   

 numero         | character(10)    |                                      

 type           | character(50)    |                                                                      

 name | character(50)    |                                     

 longueur       | double precision |                                                                     

Index :

    "XXXX_pk" PRIMARY KEY, btree (ogc_fid)

    "XXXX_geom_idx" gist (geom)

Contraintes de vérification :

    "enforce_dims_geom" CHECK (st_ndims(geom) = 2)

    "enforce_geotype_geom" CHECK (geometrytype(geom) = 'LINESTRING'::text OR geom IS NULL)

    "enforce_srid_geom" CHECK (srid(geom) = 21781)

CREATE TABLE 'XXXX' (

  'ogc_fid' INTEGER,

  'identifiant' TEXT,

  'numero' TEXT,

  'type' TEXT,

  'name' TEXT,

  'longueur' REAL,

  "Geometry" LINESTRING

)

"PRIMARY KEY" and "AUTOINCREMENT" is missing. In that case it should be better to not import back this field in the postgis table, but

if it is not possible the sqlite scheme is not correct and the user need to define ogc_fid field  value when editing offline.

History
#1 - 2012-07-04 07:51 AM - Alexander Bruy

- Category changed from Python plugins to C++ Plugins

#2 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2014-06-29 06:39 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/Offline editing

#5 - 2014-10-26 03:25 PM - Jürgen Fischer

- Subject changed from [offlline] primarykey/autoincrement not import in sqlite to primary key/autoincrement not imported in sqlite

#6 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2018-11-19 08:56 AM - Luigi Pirelli

- Description updated

FYI related PR-Fix has been closed due to lack of comments: https://github.com/qgis/QGIS/pull/8023

#8 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
